<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>my project</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <script src="https://use.fontawesome.com/releases/v5.8.2/css/all.css"></script>
    <link rel="stylesheet" href="css/main.css">
</head>
<body>
<script src="http://yandex.st/jquery/1.9.1/jquery.js"></script>
<script>
    function send_form() {
        var msg = $("#forma").serialize();
        $.ajax({
            type: "POST",
            url: "/send_form.php",
            data: msg,
            success: function(data) {
                alert("Сообщение отправлено");
                setTimeout(function () {
                    $(".feedback_form_bg").fadeOut();}, 1000);
            },
            error:  function(xhr, str){
                alert("Возникла ошибка!");
                setTimeout(function () {$(".feedback_form_bg").fadeOut();}, 1000);
            }
        });
    }
</script>
<script>
    $(document).ready(function(){
        $('.show_form').click(function() {
            $(".feedback_form_bg").css("display","block");
        });
        $('.feedback_form_bg').click(function() {
            $(".feedback_form_bg").css("display","none");
        });
        $('#forma').click(function(e){
            e.stopPropagation();
        });
    });
</script>
<style>
    .feedback_form_bg{
        position:fixed;
        width:100%;height:100%;
        left:0px;top:0px;
        background:rgba(0,0,0,0.5);
        display:none;
    }
    #forma{
        position:fixed;
        left:50%;top:50%;
        margin-left:-150px;margin-top:-100px;
        width:300px;height:200px;
        background:white;
        padding-left:20px;padding-top:20px;
    }
    #forma input[type="text"]{
        width:200px;height:25px;
        border:1px solid whitesmoke;
        padding-left:7px;
        margin-bottom:10px;
    }
    #forma input[type="submit"]{
        background:black;
        border:none;
        width:150px;
        height:30px;
        color:white;
        cursor:pointer;
    }
</style>
</head>
<body>
<input type="button" class="show_form" value="Показать форму"/>
<div class="feedback_form_bg">
    <form method="post" action="javascript:void(0);" onsubmit="send_form();" id="forma">
        <input type="text" name="fio" placeholder="Ф.И.О" />
        <input type="text" name="phone" placeholder="Телефон" />
        <input type="text" name="email" placeholder="E-Mail" />
        <input type="text" name="adres" placeholder="Адрес доставки" />
        <br/>
        <input type="submit" value="отправить" />
    </form>
</div>
</body>
</body>
</html>